Supplier Interaction

The supplier interaction resource.

Basehttps://rest.carbon.ms/supplierInteraction
GET/supplierInteraction

List supplier interactions

Retrieve a paginated list of supplier interactions. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/supplierInteraction
curl --request GET \
  --url 'https://rest.carbon.ms/supplierInteraction?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "supplierId": "xyz789"
  }
]
GET/supplierInteraction

Retrieve a supplier interaction

Fetch a single supplier interaction by filtering on `id`.

Query parameters

idstring

Match on the supplier interaction's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/supplierInteraction
curl --request GET \
  --url 'https://rest.carbon.ms/supplierInteraction?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "supplierId": "xyz789"
}
POST/supplierInteraction

Create a supplier interaction

Create a new supplier interaction.

Body parameters

companyIdstringrequired

References company.id

supplierIdstringrequired

References supplier.id

POSThttps://rest.carbon.ms/supplierInteraction
curl --request POST \
  --url https://rest.carbon.ms/supplierInteraction \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"companyId":"xyz789","supplierId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "supplierId": "xyz789"
}
PATCH/supplierInteraction

Update a supplier interaction

Update an existing supplier interaction, matched on `id`.

Body parameters

companyIdstringrequired

References company.id

supplierIdstringrequired

References supplier.id

PATCHhttps://rest.carbon.ms/supplierInteraction
curl --request PATCH \
  --url 'https://rest.carbon.ms/supplierInteraction?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "supplierId": "xyz789"
}
DELETE/supplierInteraction

Delete a supplier interaction

Delete a supplier interaction, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the supplier interaction to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/supplierInteraction
curl --request DELETE \
  --url 'https://rest.carbon.ms/supplierInteraction?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content